/*--------------------------------------------------------------------

  World Folio - Offline map viewer/editor for Age of Adventure
  
  Copyright (c) 2001 Phil Dempster <phil@buxton.port5.com>
  http://buxton.port5.com/age/

  This software is based on an original work the copyright in which
  vests in Interactive Broadcasting Ltd (http://www.ibgames.net/).
  Original programming by Alan Lenton with additional programming by
  Stanley Lenton.

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful, but
  WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
  General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

  Compiled with Borland C++ Builder 3.
    
--------------------------------------------------------------------*/

#include <vcl.h>
#pragma hdrstop
USERES("map_case.res");
USEUNIT("location.cpp");
USEUNIT("age_map.cpp");
USEFORM("main.cpp", MainForm);
USEFORM("notes.cpp", NotesForm);
USEFORM("folio.cpp", FolioForm);
USEFORM("index.cpp", IndexForm);
USEFORM("about.cpp", AboutForm);
USEUNIT("pngdib.c");
USELIB("zlib.lib");
USELIB("libpng.lib");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    try
    {
        Application->Initialize();
        Application->Title = "World Folio LE";
        Application->CreateForm(__classid(TMainForm), &MainForm);
        Application->CreateForm(__classid(TNotesForm), &NotesForm);
        Application->CreateForm(__classid(TIndexForm), &IndexForm);
        Application->CreateForm(__classid(TFolioForm), &FolioForm);
        Application->CreateForm(__classid(TAboutForm), &AboutForm);
        Application->Run();
    }
    catch (Exception &exception)
    {
        Application->ShowException(&exception);
    }
    return 0;
}

//---------------------------------------------------------------------------

